Workload Groups - Create Or Update

ワークロード グループを作成または更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/workloadGroups/{workloadGroupName}?api-version=2025-01-01

URI パラメーター

名前 / 必須 型 説明
databaseName
path True

string

データベースの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

workloadGroupName
path True

string

ワークロード グループの名前。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 型 説明
properties.maxResourcePercent True

integer (int32)

ワークロード グループの上限のリソース。

properties.minResourcePercent True

integer (int32)

ワークロード グループの最小割合リソース。

properties.minResourcePercentPerRequest True

number (double)

ワークロード グループ要求の最小許可の割合。

properties.importance

string

ワークロード グループの重要度レベル。

properties.maxResourcePercentPerRequest

number (double)

ワークロード グループ要求の最大許可の割合。

properties.queryExecutionTimeout

integer (int32)

ワークロード グループクエリ実行タイムアウト。

応答

名前 型 説明
200 OK

WorkloadGroup

リソース「WorkloadGroup」更新操作が成功しました

201 Created

WorkloadGroup

リソース「WorkloadGroup」作成操作が成功しました

ヘッダー

  • Location: string
  • Retry-After: integer
202 Accepted

リソース操作が受け入れられます。

ヘッダー

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

例

Create a workload group with all properties specified.
Create a workload group with the required properties specified.

Create a workload group with all properties specified.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc?api-version=2025-01-01

{
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}

応答のサンプル

{
  "name": "smallrc",
  "type": "Microsoft.Sql/servers/databases/workloadGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}
{
  "name": "smallrc",
  "type": "Microsoft.Sql/servers/databases/workloadGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}

Create a workload group with the required properties specified.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc?api-version=2025-01-01

{
  "properties": {
    "maxResourcePercent": 100,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3
  }
}

応答のサンプル

{
  "name": "smallrc",
  "type": "Microsoft.Sql/servers/databases/workloadGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}
{
  "name": "smallrc",
  "type": "Microsoft.Sql/servers/databases/workloadGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
  "properties": {
    "importance": "normal",
    "maxResourcePercent": 100,
    "maxResourcePercentPerRequest": 3,
    "minResourcePercent": 0,
    "minResourcePercentPerRequest": 3,
    "queryExecutionTimeout": 0
  }
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

systemData

リソースの作成と最後の変更に関連するメタデータ。

WorkloadGroup

データ ウェアハウスのワークロード グループ操作

createdByType

リソースを作成した ID の種類。

値 説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 型 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 型 説明
error

ErrorDetail

エラー オブジェクト。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 型 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。

WorkloadGroup

データ ウェアハウスのワークロード グループ操作

名前 型 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.importance

string

ワークロード グループの重要度レベル。

properties.maxResourcePercent

integer (int32)

ワークロード グループの上限のリソース。

properties.maxResourcePercentPerRequest

number (double)

ワークロード グループ要求の最大許可の割合。

properties.minResourcePercent

integer (int32)

ワークロード グループの最小割合リソース。

properties.minResourcePercentPerRequest

number (double)

ワークロード グループ要求の最小許可の割合。

properties.queryExecutionTimeout

integer (int32)

ワークロード グループクエリ実行タイムアウト。

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」